export default TableToolbar;
declare class TableToolbar extends React.Component<any, any, any> {
    constructor(props: any);
    excludeFormattingButtons: (combinedToolbarProps: any) => any;
    combineRegularButtonsOnClick: (buttonsProps: any, cellsToolbarsProps: any, buttonKeyName: any) => void;
    combineGroupButtonsOnClick: (buttonsProps: any, cellsToolbarsProps: any, buttonKeyName: any) => void;
    combineDropdownButtonsOnSelect: (buttonsProps: any, cellsToolbarsProps: any, buttonKeyName: any) => void;
    setToolbarProps: (cellsToolbarsProps: any) => void;
    getToolbarPosition: () => {
        x: number;
        offsetLeftInsideContainer: number;
        y: any;
        containerWidth: number;
        extraTopOffset: number;
    } | undefined;
    toggleIsTextFormattingOpen: () => void;
    renderMainToolbar: () => JSX.Element;
    cleanFirstButtonAsSeparator: (buttonsAsArray: any) => void;
    renderTextFormattingToolbar: () => JSX.Element;
    renderEditingTextFormattingToolbar: () => JSX.Element;
    setEditingTextFormattingToolbarProps: (editingToolbarProps: any) => void;
    focus: () => any;
    setRef: (ref: any) => any;
    ref: any;
}
declare namespace TableToolbar {
    export namespace propTypes {
        export const selected: PropTypes.Requireable<object>;
        export const table: PropTypes.Requireable<any>;
        export const innerEditorsRefs: PropTypes.Requireable<any>;
        export const addCol: PropTypes.Validator<(...args: any[]) => any>;
        export const addRow: PropTypes.Validator<(...args: any[]) => any>;
        export const isEditingActive: PropTypes.Requireable<boolean>;
        export const tableWidth: PropTypes.Requireable<number>;
        export const getFirstCellRef: PropTypes.Requireable<(...args: any[]) => any>;
        export const deleteColumn: PropTypes.Requireable<(...args: any[]) => any>;
        export const deleteRow: PropTypes.Requireable<(...args: any[]) => any>;
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const theme: PropTypes.Requireable<object>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const settings: PropTypes.Requireable<object>;
        export const selectRows: PropTypes.Requireable<(...args: any[]) => any>;
        export const selectCols: PropTypes.Requireable<(...args: any[]) => any>;
        export const deleteBlock: PropTypes.Requireable<(...args: any[]) => any>;
        export const isAllCellsSelected: PropTypes.Requireable<boolean>;
        export const merge: PropTypes.Requireable<(...args: any[]) => any>;
        export const distributeRows: PropTypes.Requireable<(...args: any[]) => any>;
        export const distributeColumns: PropTypes.Requireable<(...args: any[]) => any>;
        export const getTableScrollLeft: PropTypes.Requireable<(...args: any[]) => any>;
        export const triggerBi: PropTypes.Requireable<object>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=TableToolbar.d.ts.map