export default DragAndDropSection;
declare class DragAndDropSection extends React.Component<any, any, any> {
    constructor(props: any);
    removeShiftKey: () => boolean;
    shiftKey: boolean | undefined;
    setShiftKey: (e: any) => boolean;
    onDragMouseDown: (e: any, i: any) => void;
    curDrag: any;
    startPoint: any;
    clickedOnActiveDrag: boolean | undefined;
    drags: {
        start?: undefined;
        end?: undefined;
    } | {
        start: number;
        end: number;
    } | null | undefined;
    getEventDiff: (e: any) => any;
    onMouseMove: (e: any) => void;
    isDragging: boolean | undefined;
    onMouseUp: (e: any) => void;
    isActive: (i: any) => any;
    getSelectedPreviewStyle: () => {
        visibility: string;
    };
}
declare namespace DragAndDropSection {
    export namespace propTypes {
        export const onDragClick: PropTypes.Validator<(...args: any[]) => any>;
        export const horizontal: PropTypes.Requireable<boolean>;
        export const selectAll: PropTypes.Requireable<boolean>;
        export const onDragEnd: PropTypes.Validator<(...args: any[]) => any>;
        export const onDrag: PropTypes.Validator<(...args: any[]) => any>;
        export const activeDrag: PropTypes.Requireable<any[]>;
        export const index: PropTypes.Requireable<number>;
        export const size: PropTypes.Requireable<number>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=DragAndDropSection.d.ts.map