import type { ModalStyles } from 'wix-rich-content-common';
export declare const externalPopupStyles: ModalStyles;
export declare const DesktopFlyOutModalStyles: ModalStyles;
export declare const MOBILE_FULL_SCREEN_CUSTOM_STYLE: ModalStyles;
export declare const COLORS: Readonly<{
    color1: string;
    color2: string;
    color3: string;
    color4: string;
    color5: string;
    color6: string;
    color7: string;
    color8: string;
    color9: string;
    color10: string;
}>;
export declare const SOURCE: {
    KEYBOARD_SHORTCUT: string;
    PLUS_BUTTON: string;
    CONTEXT_MENU: string;
};
export declare const LOCATION: {
    RIGHT: string;
    LEFT: string;
    ABOVE: string;
    BELOW: string;
};
export declare const CATEGORY: {
    COLUMN: string;
    ROW: string;
    ENTIRE_TABLE: string;
    CELL_BORDER: string;
    ROW_HEADER: string;
    COLUMN_HEADER: string;
    CELL_FORMATTING: string;
    RANGE: string;
};
export declare const ACTION: {
    RESIZE: string;
    REORDER: string;
};
export declare const BUTTON_NAME: {
    BORDER: string;
    HEADER: string;
};
export declare const ACTION_NAME: {
    COLUMN_ROW_ACTION: string;
    ADD_COLUMN_ROW: string;
    DELETE_COLUMN_ROW: string;
    CONTEXT_MENU_CLICK: string;
    CONTEXT_MENU_OPTION_CLICK: string;
};
export declare const CELL_MANUAL_MIN_WIDTH = 65;
export declare const CELL_AUTO_MIN_WIDTH = 120;
export declare const ROW_DEFAULT_HEIGHT = 47;
//# sourceMappingURL=consts.d.ts.map