export function paddingDiff(col: any): number;
export function getRefWidthAsNumber(ref: any): number;
export function getSizeStringAsNumber(str: any): number;
export function range(start: any, end: any): any[];
export function getRange({ start, end }: {
    start: any;
    end: any;
}): any[];
export function getColsRange({ start, end }: {
    start: any;
    end: any;
}): any[];
export function getRowsRange({ start, end }: {
    start: any;
    end: any;
}): any[];
export class TableDataUtil {
    constructor(componentData: any);
    updateComponentData: (componentData: any) => void;
    componentData: any;
    getRowColumns: (i: any) => any;
    getRows: () => any;
    getRow: (i: any) => any;
    getRowNum: () => number;
    getColNum: () => number;
    getCell: (i: any, j: any) => any;
    getCellContent: (i: any, j: any) => any;
    getCellStyle: (i: any, j: any) => any;
    getColsWidth: () => any;
    getRowsHeight: () => any;
    getColWidth: (j: any) => any;
    getRowHeight: (i: any) => any;
    getColsMinWidth: () => any;
    getColMinWidth: (j: any) => number;
    getCellWidthAsPixel: (tableWidth: any, i: any, colsMinWidth?: any[]) => number;
    getCellWidthAsRatio: (tableWidth: any, totalColsWidth: any, cellWidth: any) => number;
    getCellMergeData: (i: any, j: any) => any;
    getParentCell: (key: any) => undefined;
    fixSelectedWithMergeCells: (selected: any) => any;
    getCellParentPosition: (i: any, j: any) => {
        i: any;
        j: any;
    } | undefined;
    getRowCellsParentPosition: (i: any) => undefined;
    getColCellsParentPosition: (j: any) => undefined;
    getRowsSelection: (rowsIndexes: any) => {
        start: {
            i: any;
            j: number;
        };
        end: {
            i: any;
            j: number;
        };
    };
    getColsSelection: (colsIndexes: any) => {
        start: {
            i: number;
            j: any;
        };
        end: {
            i: number;
            j: any;
        };
    };
    getAllCellsSelection: () => {
        start: {
            i: number;
            j: number;
        };
        end: {
            i: number;
            j: number;
        };
    };
    isAllCellsSelected: (start: any, end: any) => boolean;
    getSelectionStyle: (selection: any, defaultBG: any, defaultBorder: any) => {
        selectionBGColor: any;
        selectionBorderColor: any;
        selectionVerticalAlign: any;
        selectionBorderIsActive: boolean;
    };
    getSelectedRows: (range?: any[]) => any[];
    getSelectedCols: (range?: any[]) => any[];
    getSelectedSection: (range: any, keyValueMapper: any, cellsNum: any) => any[];
    getCellBorderColor: (selection: any, row: any, col: any) => any[];
    getConsistentCellBorderColor: (selection: any, row: any, col: any, defaultBorder: any) => any;
    isCellBorderActive: (selection: any, row: any, col: any) => boolean;
    getColorFromBorderStyle: (borderStyle: any) => string;
    getCellBorders: (selection: any, row: any, col: any, color: any) => {
        left: string;
        right: string;
        top: string;
        bottom: string;
    };
    getRowHeader: () => any;
    getColHeader: () => any;
    isCellContainedInHeader: (i: any, j: any) => any;
}
//# sourceMappingURL=tableDataUtil.d.ts.map