export { TableComponent as Component };
declare class TableComponent extends React.Component<any, any, any> {
    constructor(props: any);
    rowsRefs: any[];
    innerRceAdditionalProps: {
        placeholder: string;
        handleReturn: () => (e: any) => false | "handled";
    };
    innerEditorsRefs: {};
    table: Table;
    tableRef: React.RefObject<any>;
    tableContainer: React.RefObject<any>;
    dragPreview: React.RefObject<any>;
    rowDragProps: {
        onDragClick: (selected: any) => void;
        onDragEnd: (e: any, dragsIndex: any) => void;
        onDrag: (e: any, dragsIndex: any) => void;
    };
    colDragProps: {
        onDragClick: (selected: any) => void;
        onDragEnd: (e: any, dragsIndex: any) => void;
        onDrag: (e: any, dragsIndex: any) => void;
    };
    onPluginChange: (biParams: any) => any;
    triggerBi: (eventName: any, biParams: any) => any;
    handleReturn: () => (e: any) => false | "handled";
    getCellState: (i: any, j: any) => any;
    selectCellContent: (i: any, j: any) => void;
    updateTable: (data: any) => void;
    updateComponentData: (data: any) => void;
    renderInnerRCE: (i: any, j: any) => any;
    selectRows: (rowsIndexes: any, disableSelectedStyle: any) => void;
    selectCols: (colsIndexes: any, disableSelectedStyle: any) => void;
    setEditingActive: (isEditingActive: any) => void;
    getCellEditorRef: (i: any, j: any) => any;
    getCellToolbarProps: (i: any, j: any) => any;
    distributeRows: (selected: any) => void;
    distributeColumns: (selected: any) => void;
    isCellEmpty: (i: any, j: any) => boolean;
    handleFirstCellEmpty: (toolbarPropsBeforeOrganize: any) => any;
    setToolbarProps: (selected: any) => void;
    setSelected: (selected: any, disableSelectedStyle: any) => void;
    isAllCellsSelected: (selected: any) => boolean;
    onSelect: (selected: any) => void;
    getFirstCellRef: () => undefined;
    setCellContent: (content: any, row: any, col: any) => void;
    onKeyDown: (e: any) => void;
    lastFocused: Element | null | undefined;
    handleShortcutSelection: (e: any, indexes: any, selectFunc: any, isCol?: boolean) => void;
    prevSelection: {} | null | undefined;
    lastFocusedCell: Element | null | undefined;
    shouldHandleKeyDown: (e: any) => boolean;
    onPaste: (copiedCells: any, start: any) => void;
    setSelectionOnPastedCells: (copiedCells: any) => void;
    setAllCellsSelected: () => void;
    toggleAllCellsSelection: () => void;
    handleClickOutsideSelectAll: () => void;
    onResizeCol: (columnsRefs: any) => void;
    onResizeRow: (i: any, height: any) => void;
    setToolbarRef: (ref: any) => any;
    toolbarRef: any;
    highlightResizer: (i: any, isCol: any) => void;
    isPositionInBoundaries: (boundary: any, pos: any) => boolean;
    onColDragEnd: (e: any, dragsIndex: any) => void;
    colDropIndex: number | null | undefined;
    position: any;
    onRowDragEnd: (e: any, dragsIndex: any) => void;
    dropTop: number | null | undefined;
    dragPadding: any;
    rowDropIndex: number | null | undefined;
    resetDrag: () => void;
    addRow: (i: any, biParams: any) => void;
    merge: () => void;
    getCellsFixedWidth: () => number;
    addCol: (i: any, biParams: any) => void;
    deleteRow: (deleteIndexes: any) => void;
    deleteColumn: (deleteIndexes: any) => void;
    deleteTable: () => void;
    addLastRow: (biParams: any) => void;
    addLastCol: (biParams: any) => void;
    onColDrag: (e: any, dragsIndex: any) => void;
    onRowDrag: (e: any, dragsIndex: any) => void;
    movementY: string | undefined;
    setRowRef: (ref: any, i: any) => any;
    setEditorRef: (ref: any, i: any, j: any) => any;
    onFocus: (e: any) => any;
    getRowsToUpdate: () => any[];
    getTableScrollLeft: () => any;
    rowsHeights: any[] | undefined;
    colsWidth: any[] | undefined;
}
declare namespace TableComponent {
    export namespace propTypes {
        export const blockProps: PropTypes.Validator<object>;
        export const block: PropTypes.Validator<object>;
        export const store: PropTypes.Validator<object>;
        export const componentData: PropTypes.Validator<object>;
        export const renderInnerRCE: PropTypes.Requireable<(...args: any[]) => any>;
        export const theme: PropTypes.Requireable<object>;
        export const selection: PropTypes.Validator<object>;
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const settings: PropTypes.Requireable<object>;
        export const disableKeyboardEvents: PropTypes.Requireable<(...args: any[]) => any>;
        export const helpers: PropTypes.Requireable<object>;
    }
}
import React from "react";
import Table from "./domain/table";
import PropTypes from "prop-types";
//# sourceMappingURL=table-component.d.ts.map