export default TableViewer;
declare class TableViewer extends React.Component<any, any, any> {
    constructor(props: any);
    table: any;
    cellCreator: (i: any, j: any) => {
        key: string;
        component: any;
        forceComponent: boolean;
        disableUpdatedFlag: boolean;
    };
    renderCell: (i: any, j: any) => any;
    createRow: (i: any, columnsNumber: any) => {
        key: string;
        component: any;
        forceComponent: boolean;
        disableUpdatedFlag: boolean;
    }[];
    sheetRenderer: (props: any) => JSX.Element;
    rowRenderer: (props: any) => JSX.Element;
    setCellRef: (ref: any) => any;
    cellRef: any;
    setTableViewerRef: (ref: any) => void;
    tableViewerRef: any;
    cellRenderer: (props: any) => JSX.Element;
    valueRenderer: (cell: any) => any;
}
declare namespace TableViewer {
    export namespace propTypes {
        export const theme: PropTypes.Validator<object>;
        export const renderInnerRCE: PropTypes.Requireable<(...args: any[]) => any>;
        export const innerRCV: PropTypes.Requireable<(...args: any[]) => any>;
        export const table: PropTypes.Requireable<object>;
        export const onSelect: PropTypes.Requireable<(...args: any[]) => any>;
        export const setRowRef: PropTypes.Requireable<(...args: any[]) => any>;
        export const setEditorRef: PropTypes.Requireable<(...args: any[]) => any>;
        export const toolbarRef: PropTypes.Requireable<any>;
        export const setEditingActive: PropTypes.Requireable<(...args: any[]) => any>;
        export const columns: PropTypes.Requireable<any>;
        export const selected: PropTypes.Requireable<object>;
        export const componentData: PropTypes.Requireable<object>;
        export const tableWidth: PropTypes.Requireable<number>;
        export const isMobile: PropTypes.Validator<boolean>;
        export const isEditMode: PropTypes.Requireable<boolean>;
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const disableSelectedStyle: PropTypes.Requireable<boolean>;
        export const colDragProps: PropTypes.Requireable<object>;
        export const onResize: PropTypes.Requireable<(...args: any[]) => any>;
        export const onResizeStart: PropTypes.Requireable<(...args: any[]) => any>;
        export const highlightResizer: PropTypes.Requireable<number | boolean>;
        export const selectAll: PropTypes.Requireable<boolean>;
        export const tableHeight: PropTypes.Requireable<number>;
        export const isEditingActive: PropTypes.Requireable<boolean>;
        export const setCellContent: PropTypes.Requireable<(...args: any[]) => any>;
        export const onClear: PropTypes.Requireable<(...args: any[]) => any>;
        export const onPaste: PropTypes.Requireable<(...args: any[]) => any>;
        export const tableOverflowWidth: PropTypes.Requireable<number>;
        export const rowsToUpdate: PropTypes.Requireable<any[]>;
        export const selectCellContent: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=table-viewer.d.ts.map