declare class Cell extends React.Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    tdHeight: number | undefined;
    selectCellContent: () => void;
    isSingleCellSelected: (selectedCells?: {}) => boolean;
    isEditing: (editing: any, selectedCells: any) => boolean;
    setEditorRef: (ref: any) => void;
    editorRef: any;
    setTdRef: (ref: any) => any;
    tdRef: any;
    getToolbarPosition: () => {
        x: number;
        containerWidth: any;
        offsetLeftInsideContainer: any;
    } | undefined;
    onKeydown: (e: any) => void;
    fixReactModalButtons: (toolbarButtons: any) => void;
    getEditorWrapperStyle: (additionalStyles: any, isEditing: any) => any;
    getCellBorders: (cellBorders: any, shouldShowSelectedStyle: any) => any;
    hideBlocks: () => {
        hideFirstBlock: boolean;
        hideLastBlock: boolean;
    } | {
        hideFirstBlock?: undefined;
        hideLastBlock?: undefined;
    };
    onCellClick: () => any;
}
declare namespace Cell {
    export namespace propTypes {
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const row: PropTypes.Validator<number>;
        export const col: PropTypes.Validator<number>;
        export const selected: PropTypes.Requireable<boolean>;
        export const editing: PropTypes.Requireable<boolean>;
        export const updated: PropTypes.Requireable<boolean>;
        export const onMouseDown: PropTypes.Validator<(...args: any[]) => any>;
        export const onMouseOver: PropTypes.Validator<(...args: any[]) => any>;
        export const onDoubleClick: PropTypes.Validator<(...args: any[]) => any>;
        export const onContextMenu: PropTypes.Validator<(...args: any[]) => any>;
        export const style: PropTypes.Requireable<object>;
        export const children: PropTypes.Requireable<any>;
        export const setDragsVisibility: PropTypes.Requireable<(...args: any[]) => any>;
        export const table: PropTypes.Requireable<object>;
        export const setEditorRef: PropTypes.Requireable<(...args: any[]) => any>;
        export const toolbarRef: PropTypes.Requireable<any>;
        export const selectedCells: PropTypes.Requireable<object>;
        export const setEditingActive: PropTypes.Requireable<(...args: any[]) => any>;
        export const tableWidth: PropTypes.Requireable<number>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const disableSelectedStyle: PropTypes.Requireable<boolean | any[]>;
        export const onKeyDown: PropTypes.Requireable<(...args: any[]) => any>;
        export const selectCellContent: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
export default Cell;
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=CellRenderer.d.ts.map